<?php


######################################
#                                    #
#  ████  █████   ████  ████   ████   #
# ██  ██ ██  ██ ██  ██  ██     ██    #
# ██  ██ ██  ██ ██  ██  ██     ██    #
#  ████  █████  ██████  ██     ██    #
# ██  ██ ██  ██ ██  ██  ██     ██    #
# ██  ██ ██  ██ ██  ██  ██ ██  ██ ██ #
#  ████  █████  ██  ██ ██████ ██████ #
#                                    #
######################################

########################
#                      #
#  ▒▒▒▒  ▒   ▒▒  ▒▒▒▒  #
#   ▒▒   ▒▒  ▒▒   ▒▒   #
#   ▒▒   ▒▒▒ ▒▒   ▒▒   #
#   ▒▒   ▒▒▒▒▒▒   ▒▒   #
#   ▒▒   ▒▒ ▒▒▒   ▒▒   #
#   ▒▒   ▒▒  ▒▒   ▒▒   #
#  ▒▒▒▒  ▒▒   ▒  ▒▒▒▒  #
#                      #
########################
define('VERSION','1.0');

define('BACKFILE','8ballresponse.jpg');
define('PICFILE','8ball.jpg');
define('FONTFILE','./Square.ttf');
define('FONTSIZE',32);

# Cadre de texte (placement et taille)
define('X',545);
define('Y',590);
define('W',360);
define('H',270);
define('LARGEUR_PARAGRAPHE',round(W/FONTSIZE));

$reponses=[
    # mouaip
    "Essaye plus tard",
    "Essaye encore",
    "J'ai pas d'avis",
    "C'est ton destin",
    "Le sort en est jeté",
    "Une chance sur deux",
    "Repose ta question",
    "Tu connais déjà la réponse...",
    "J'dirais 50/50",
    "Ptêt ben qu'oui, Ptêt ben qu'non",
    "Mmmmmmouaip...",
    "Peu claire est ta destinée...",
    "Les dieux n'ont encore rien décidé à ce sujet",
    "Ça va passer...",
    "Sinon, ça va, toi?!",
    "Là, tu me poses une colle...",
    "Chuuut! C'est un secret!",
    "Démerde-toi...",
    "J'veux pas d'ennuis avec les flics",
    "Pas mes oignons...",
    "Qui ne tente rien n'a rien",
    "Là, tu tiens un truc",
    "La question est «pourquoi?»",
    "Pourquoi tu t'emmerdes?!",
    "Ça vaut VRAIMENT le coup?",
    "Dis-moi que tu déconnes...",
    "Moui, pas con...",
    "On peut se poser la question",
    "T'en penses quoi, toi?",
    "404",
    "J'préfère rien dire...",
    "J'aime mieux me taire.",
    "Concentre-toi mieux!",
    "Regarde au fond de ton coeur",
    "Ce n'est pas la vraie question...",
    "HAHA! Très drôle!",
    "Que risques-tu?",
    "Ça change quoi?!",
    "Franchement? Je m'en bats les steaks",
    "Tu en as parlé à un spécialiste ou pas?",
    "Quelles en seraient les conséquences?",
    "Mais tu en penses quoi, toi?",
    "Pardon, tu disais quoi?",
    "Tu trouve normal d'avoir ce genre de pensées?",
    "Lance deux D10",
    "Pourquoi pas.",
    "En voilà une bonne question",


    # Yep
    "D'après moi oui",
    "C'est certain",
    "Oui absolument",
    "Tu peux compter dessus",
    "Sans aucun doute",
    "Très probable",
    "Oui",
    "Oui, mais bon, j'y connais rien.",
    "Allez: OUI !",
    "En tout cas, moi je suis pour!",
    "Moi je veux bien.",
    "Yep...",
    "C'est bien parti",
    "J'imagine que oui...",
    "Si ya pas moyen de faire autrement",
    "Franchement, ya de bonnes chances",
    "Vas-y: fonce!",
    "C'est écrit!",
    "Un bon 70/30",
    "T'as 9 chances sur 10",
    "Tout indique que oui",
    "C'est à peu près sûr",
    "C'est jouable...",
    "Ça se tente, moi je dis.",
    "Ya un coup à jouer là!",
    "Sûr à 100%!",
    "J'ai envie d'y croire...",
    "Je crois en toi",
    "Ya moyen que oui...",
    "C'est possible.",
    "Poursuis tes rêves",
    "Oh, ben oui!",
    "Nooon, tu crois?!",
    "Crois en toi!",
    "Oui, si tu te sors les pouces du cul.",
    "Ce serait bien...",
    "Excellente idée!",

    # Nope
    "C'est non",
    "Peu probable",
    "Faut pas rêver",
    "N'y compte pas",
    "Impossible",
    "Franchement, t'y crois, toi?",
    "C'est ça, oui...",
    "T'es quand même pas crédule à ce point?!",
    "Tu rêves!",
    "Non, mais ça va pas la tête?!",
    "Jamais de la vie...",
    "Tu crois au Père Noël...",
    "Pas si ya une justice",
    "T'as une chance... sur 1000.",
    "Lâche l'affaire",
    "Laisse tomber...",
    "C'est mort...",
    "Te fais pas trop d'illusions",
    "Va te faire cuire le cul.",
    "Là, tu l'as dans l'oignon.",
    "Sérieusement?!",
    "Tu te fais du mal",
    "Sûrement pas!",
    "Ça va pas, non?!",
    "Tu te fais des idées.",
    "Grandis, un peu...",
    "Sur quelle planète tu vis?!",
    "Si seulement c'était aussi simple",
    "Quelles en seraient les conséquences?",
    "Franchement? Ça pue...",
    "C'est un coup à se planter...",
    "Chuis pas assez payée pour écouter ça.",
    "Comment tu me fatigues, des fois.",


];

##################################################################
#                                                                #
# ▒▒▒▒▒▒ ▒▒  ▒▒ ▒   ▒▒  ▒▒▒▒  ▒▒▒▒▒▒  ▒▒▒▒   ▒▒▒▒  ▒   ▒▒  ▒▒▒▒  #
# ▒▒     ▒▒  ▒▒ ▒▒  ▒▒ ▒▒  ▒▒ ▒ ▒▒ ▒   ▒▒   ▒▒  ▒▒ ▒▒  ▒▒ ▒▒  ▒▒ #
# ▒▒     ▒▒  ▒▒ ▒▒▒ ▒▒ ▒▒       ▒▒     ▒▒   ▒▒  ▒▒ ▒▒▒ ▒▒  ▒▒    #
# ▒▒▒▒▒  ▒▒  ▒▒ ▒▒▒▒▒▒ ▒▒       ▒▒     ▒▒   ▒▒  ▒▒ ▒▒▒▒▒▒   ▒▒   #
# ▒▒     ▒▒  ▒▒ ▒▒ ▒▒▒ ▒▒       ▒▒     ▒▒   ▒▒  ▒▒ ▒▒ ▒▒▒    ▒▒  #
# ▒▒     ▒▒  ▒▒ ▒▒  ▒▒ ▒▒  ▒▒   ▒▒     ▒▒   ▒▒  ▒▒ ▒▒  ▒▒ ▒▒  ▒▒ #
# ▒▒      ▒▒▒▒  ▒▒   ▒  ▒▒▒▒   ▒▒▒▒   ▒▒▒▒   ▒▒▒▒  ▒▒   ▒  ▒▒▒▒  #
#                                                                #
##################################################################
include('zip_class.php');
function randomAnswer(){
    global $reponses;
    return $reponses[array_rand($reponses)];
}

########################
#                      #
#  ▒▒▒▒  ▒▒▒▒▒▒ ▒▒▒▒▒▒ #
# ▒▒  ▒▒ ▒▒     ▒ ▒▒ ▒ #
# ▒▒     ▒▒       ▒▒   #
# ▒▒ ▒▒▒ ▒▒▒▒▒    ▒▒   #
# ▒▒  ▒▒ ▒▒       ▒▒   #
# ▒▒  ▒▒ ▒▒       ▒▒   #
#  ▒▒▒▒  ▒▒▒▒▒▒  ▒▒▒▒  #
#                      #
########################
$reponse=randomAnswer();

if (isset($_GET['help'])){  
    exit(nl2br(file_get_contents('readme.html')));
}

if (isset($_GET['version'])){   
    exit(VERSION);
}
if (isset($_GET['download'])){  
    $file='8ballAPI_v'.VERSION.'.zip';
    if (is_file($file)){
        header("Location: ".$file);
        exit;
    }
    $zip=new zip();
    $files=glob('*.*');
    $files=array_reverse(array_reverse($files));
    # delete zip file from list
    foreach ($files as $key => $value) {
        if (strpos($value,'.zip')!==false){
            $f[$key]=$value;
        }
    }
    $files=$f;
    $zip->setSource('.');
    $zip->setFilesList($files);
    $zip->setDestination($file);
    $zip->create();
    $zip->download();
    exit();
}

if (isset($_GET['pic'])){
    header ("Content-type: image/jpg");
    exit(file_get_contents('8ball.jpg'));
}elseif(isset($_GET['text'])){
    exit($reponse);
}
$reponse="\n".wordwrap($reponse,LARGEUR_PARAGRAPHE);
    list($pic_w,$pic_h)=getimagesize(BACKFILE);

    $textbox=imagettfbbox(FONTSIZE, 0, FONTFILE, $reponse);
    $texte_w=$textbox[2];
    $texte_h=$textbox[3];
    $texte_x=round(($pic_w/2)-($texte_w/2));
    $texte_y=round(($pic_h/2)-($texte_h/2));

    $final_pic = imagecreatefromjpeg(BACKFILE);
    $text_pic  = @imagecreatetruecolor($texte_w, $texte_h) or die ("Erreur lors de la création de l'image");

    $backcolor = imagecolorallocate( $text_pic , 0,0,0);
    $color     = imagecolorallocate( $text_pic , 255,255,255);
    $shadow    = imagecolorallocate( $text_pic , 0,0,200);
    imagefill($text_pic, 1, 1, $backcolor);
    imagecolortransparent($text_pic,$backcolor);

    imagettftext($text_pic,FONTSIZE,1,1,1,$shadow,FONTFILE,$reponse);
    imagettftext($text_pic,FONTSIZE,-1,-1,1,$shadow,FONTFILE,$reponse);
    imagettftext($text_pic,FONTSIZE,0,0,1,$color,FONTFILE,$reponse);
    imagecopy($final_pic , $text_pic ,$texte_x,$texte_y , 0,0 , $texte_w , $texte_h );
if (error_get_last ( )){exit;}
    header ("Content-type: image/jpg");
    imagejpeg($final_pic,null,90);
    exit;    
